<html>
<head>
<title>OgrePagedWorld.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_b4dabe1aeee1fabc669d37783945a897.html">Paging</a>      </li>
      <li class="navelem"><a class="el" href="dir_c90181f353a19ac84e93eaccff6d8392.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgrePagedWorld.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgrePagedWorld_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 
<a name="l00029"></a>00029 <span class="preprocessor">#ifndef __Ogre_PagedWorld_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span><span class="preprocessor">#define __Ogre_PagedWorld_H__</span>
<a name="l00031"></a>00031 <span class="preprocessor"></span>
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePagingPrerequisites_8h.html">OgrePagingPrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreString_8h.html">OgreString.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreDataStream_8h.html">OgreDataStream.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreCommon_8h.html">OgreCommon.h</a>&quot;</span>
<a name="l00036"></a>00036 
<a name="l00037"></a>00037 <span class="keyword">namespace </span>Ogre
<a name="l00038"></a>00038 {
<a name="l00039"></a>00039     <span class="keyword">class </span>PageManager;
<a name="l00040"></a>00040 
<a name="l00056"></a><a class="code" href="classOgre_1_1PagedWorld.html">00056</a>     <span class="keyword">class </span><a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a> : <span class="keyword">public</span> <a class="code" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator...">PageAlloc</a>
<a name="l00057"></a>00057     {
<a name="l00058"></a>00058     <span class="keyword">protected</span>:
<a name="l00059"></a><a class="code" href="classOgre_1_1PagedWorld.html#ae14fed02b7a26c0992e97b355f39ea73">00059</a>         <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="code" href="classOgre_1_1PagedWorld.html#ae14fed02b7a26c0992e97b355f39ea73">mName</a>;
<a name="l00060"></a><a class="code" href="classOgre_1_1PagedWorld.html#a5fbe897d19105f3fe03a42bd047914b0">00060</a>         <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* <a class="code" href="classOgre_1_1PagedWorld.html#a5fbe897d19105f3fe03a42bd047914b0">mManager</a>;
<a name="l00061"></a><a class="code" href="classOgre_1_1PagedWorld.html#aeb5d358fe39b8311415c71f957a7c08c">00061</a>         <a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>* <a class="code" href="classOgre_1_1PagedWorld.html#aeb5d358fe39b8311415c71f957a7c08c">mPageProvider</a>;
<a name="l00062"></a>00062 
<a name="l00063"></a>00063     <span class="keyword">public</span>:
<a name="l00064"></a><a class="code" href="classOgre_1_1PagedWorld.html#aae8d55a56f80cd98c81e9be35abb1703">00064</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1PagedWorld.html#aae8d55a56f80cd98c81e9be35abb1703">CHUNK_ID</a>;
<a name="l00065"></a><a class="code" href="classOgre_1_1PagedWorld.html#a5aed8fa0270feca86392300faff64764">00065</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#aa8263b218e7d187ad5ef03a73a6ad7fd">uint16</a> <a class="code" href="classOgre_1_1PagedWorld.html#a5aed8fa0270feca86392300faff64764">CHUNK_VERSION</a>;
<a name="l00066"></a><a class="code" href="classOgre_1_1PagedWorld.html#a22c0313ee4f22c41c592aec526aedce6">00066</a>         <span class="keyword">static</span> <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#adf2a0cf2e77143b5ee1d38a75e289545">uint32</a> <a class="code" href="classOgre_1_1PagedWorld.html#a22c0313ee4f22c41c592aec526aedce6">CHUNK_SECTIONDECLARATION_ID</a>;
<a name="l00074"></a>00074         <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* manager);
<a name="l00075"></a>00075         <span class="keyword">virtual</span> ~<a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>();
<a name="l00076"></a>00076 
<a name="l00077"></a><a class="code" href="classOgre_1_1PagedWorld.html#aff63307ef984ebddd40b94e30059bc56">00077</a>         <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="code" href="classOgre_1_1PagedWorld.html#aff63307ef984ebddd40b94e30059bc56">getName</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mName; }
<a name="l00079"></a><a class="code" href="classOgre_1_1PagedWorld.html#ac364900cf95783eb8257970f29dadeab">00079</a>         <a class="code" href="classOgre_1_1PageManager.html" title="The PageManager is the entry point through which you load all PagedWorld instances, and the place where PageStrategy instances and factory classes are registered to customise the paging behaviour.">PageManager</a>* <a class="code" href="classOgre_1_1PagedWorld.html#ac364900cf95783eb8257970f29dadeab" title="Get the manager of this world.">getManager</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mManager; }
<a name="l00080"></a>00080 
<a name="l00082"></a>00082         <span class="keywordtype">void</span> load(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00084"></a>00084         <span class="keywordtype">void</span> load(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream);
<a name="l00086"></a>00086         <span class="keywordtype">bool</span> load(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00091"></a>00091         <span class="keywordtype">void</span> save(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename);
<a name="l00093"></a>00093         <span class="keywordtype">void</span> save(<span class="keyword">const</span> <a class="code" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a>&amp; stream);
<a name="l00095"></a>00095         <span class="keywordtype">void</span> save(<a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>&amp; stream);
<a name="l00096"></a>00096 
<a name="l00111"></a>00111         <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* createSection(<a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sceneMgr,
<a name="l00112"></a>00112             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; typeName,
<a name="l00113"></a>00113             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sectionName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00114"></a>00114 
<a name="l00115"></a>00115 
<a name="l00129"></a>00129         <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* createSection(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; strategyName, <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sceneMgr,
<a name="l00130"></a>00130             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sectionName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00131"></a>00131 
<a name="l00132"></a>00132 
<a name="l00145"></a>00145         <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* createSection(<a class="code" href="classOgre_1_1PageStrategy.html" title="Defines the interface to a strategy class which is responsible for deciding when Page instances are r...">PageStrategy</a>* strategy, <a class="code" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a>* sceneMgr, 
<a name="l00146"></a>00146             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; sectionName = <a class="code" href="classOgre_1_1StringUtil.html#ad2ead745c8c6f4f7056270e22f29e4da" title="Constant blank string, useful for returning by ref where local does not exist.">StringUtil::BLANK</a>);
<a name="l00148"></a>00148         <span class="keywordtype">void</span> destroySection(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00150"></a>00150         <span class="keywordtype">void</span> destroySection(<a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* sec);
<a name="l00152"></a>00152         <span class="keywordtype">void</span> destroyAllSections();
<a name="l00153"></a>00153 
<a name="l00155"></a><a class="code" href="classOgre_1_1PagedWorld.html#a79600734a2c14ad56acf1cc5274c484a">00155</a>         <span class="keywordtype">size_t</span> <a class="code" href="classOgre_1_1PagedWorld.html#a79600734a2c14ad56acf1cc5274c484a" title="Get the number of sections this world has.">getSectionCount</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSections.size(); }
<a name="l00156"></a>00156 
<a name="l00158"></a>00158         <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* getSection(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name);
<a name="l00159"></a>00159 
<a name="l00160"></a><a class="code" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">00160</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;String, PagedWorldSection*&gt;::type</a> <a class="code" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a>;
<a name="l00162"></a><a class="code" href="classOgre_1_1PagedWorld.html#aae6d278e5c387bd63447dd2dd33c0b62">00162</a>         <span class="keyword">const</span> <a class="code" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a>&amp; <a class="code" href="classOgre_1_1PagedWorld.html#aae6d278e5c387bd63447dd2dd33c0b62" title="Retrieve a const reference to all the sections in this world.">getSections</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mSections; }
<a name="l00163"></a>00163 
<a name="l00175"></a><a class="code" href="classOgre_1_1PagedWorld.html#ae0d7ac8ee73dd0fd7437564ed894b2ce">00175</a>         <span class="keywordtype">void</span> <a class="code" href="classOgre_1_1PagedWorld.html#ae0d7ac8ee73dd0fd7437564ed894b2ce" title="Set the PageProvider which can provide streams for Pages in this world.">setPageProvider</a>(<a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>* provider) { mPageProvider = provider; }
<a name="l00176"></a>00176         
<a name="l00178"></a><a class="code" href="classOgre_1_1PagedWorld.html#aaa9b03f555be438f664a9eb09f5f1257">00178</a>         <a class="code" href="classOgre_1_1PageProvider.html" title="Abstract class that can be implemented by the user application to provide a way to retrieve or genera...">PageProvider</a>* <a class="code" href="classOgre_1_1PagedWorld.html#aaa9b03f555be438f664a9eb09f5f1257" title="Get the PageProvider which can provide streams for Pages in this world.">getPageProvider</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> mPageProvider; }
<a name="l00179"></a>00179 
<a name="l00187"></a>00187         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _prepareProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00195"></a>00195         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _loadProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00203"></a>00203         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _unloadProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00211"></a>00211         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> _unprepareProceduralPage(<a class="code" href="classOgre_1_1Page.html" title="Page class.">Page</a>* page, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00219"></a>00219         <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* _readPageStream(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00220"></a>00220 
<a name="l00228"></a>00228         <a class="code" href="classOgre_1_1StreamSerialiser.html" title="Utility class providing helper methods for reading / writing structured data held in a DataStream...">StreamSerialiser</a>* _writePageStream(<a class="code" href="namespaceOgre.html#a5126a9c9fbccbfe4c78070263098acb2" title="Identifier for a page.">PageID</a> pageID, <a class="code" href="classOgre_1_1PagedWorldSection.html" title="Represents a section of the PagedWorld which uses a given PageStrategy, and which is made up of a gen...">PagedWorldSection</a>* section);
<a name="l00229"></a>00229 
<a name="l00231"></a>00231         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameStart(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeSinceLastFrame);
<a name="l00233"></a>00233         <span class="keyword">virtual</span> <span class="keywordtype">void</span> frameEnd(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> timeElapsed);
<a name="l00235"></a>00235         <span class="keyword">virtual</span> <span class="keywordtype">void</span> notifyCamera(<a class="code" href="classOgre_1_1Camera.html" title="A viewpoint from which the scene will be rendered.">Camera</a>* cam);
<a name="l00236"></a>00236 
<a name="l00239"></a>00239         <a class="code" href="OgrePagingPrerequisites_8h.html#a12507ffbcb05d7b7af41403ff7db8a5c">_OgrePagingExport</a> <span class="keyword">friend</span> std::ostream&amp; <a class="code" href="group__General.html#ga6d67d46d838de3b38264f17fb792cddc">operator &lt;&lt;</a>( std::ostream&amp; o, <span class="keyword">const</span> <a class="code" href="classOgre_1_1PagedWorld.html" title="This class represents a collection of pages which make up a world.">PagedWorld</a>&amp; p );
<a name="l00240"></a>00240 
<a name="l00241"></a>00241 
<a name="l00242"></a>00242     <span class="keyword">protected</span>:
<a name="l00243"></a><a class="code" href="classOgre_1_1PagedWorld.html#a6adf46d34ac5ce7e00973307a9b61d17">00243</a>         <a class="code" href="classOgre_1_1PagedWorld.html#a6c1dcf3d33ed0aa2ed2bb331c6dec087">SectionMap</a> <a class="code" href="classOgre_1_1PagedWorld.html#a6adf46d34ac5ce7e00973307a9b61d17">mSections</a>;
<a name="l00244"></a><a class="code" href="classOgre_1_1PagedWorld.html#ab47f81c32e309e66eea51339fed51368">00244</a>         <a class="code" href="classOgre_1_1NameGenerator.html" title="Utility class to generate a sequentially numbered series of names.">NameGenerator</a> <a class="code" href="classOgre_1_1PagedWorld.html#ab47f81c32e309e66eea51339fed51368">mSectionNameGenerator</a>;
<a name="l00245"></a>00245     };
<a name="l00246"></a>00246     
<a name="l00250"></a>00250 }
<a name="l00251"></a>00251 
<a name="l00252"></a>00252 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
